Bug 904806 - [PATCH] Sanitize pkg-config file
Summary: [PATCH] Sanitize pkg-config file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tesseract
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karol Trzcionka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-27 15:57 UTC by Sandro Mani
Modified: 2013-09-14 02:32 UTC (History)
1 user (show)

Fixed In Version: tesseract-3.02.02-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-14 02:32:57 UTC
Type: Bug


Attachments (Terms of Use)
Patch (697 bytes, patch)
2013-01-27 15:57 UTC, Sandro Mani
no flags Details | Diff

Description Sandro Mani 2013-01-27 15:57:18 UTC
Created attachment 688487 [details]
Patch

The provided pkg-config file includes the cflags and ldflags used when compiling tesseract, and pollute the compiler flags of projects using the tesseract.pc file.

A patch to improve the pc file is attached.

This patch depends on rhbz #904805 (leptonica pkg-config file).

See also [1]

[1] http://code.google.com/p/tesseract-ocr/issues/detail?id=817

Comment 1 Sandro Mani 2013-01-28 09:51:18 UTC
Btw, I'd by happy to co-maintain tesseract and leptonica.

Comment 2 Fedora End Of Life 2013-04-03 15:34:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Fedora Update System 2013-04-27 23:50:36 UTC
tesseract-langpack-3.02-2 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tesseract-langpack-3.02-2

Comment 4 Fedora Update System 2013-04-27 23:51:07 UTC
tesseract-langpack-3.02-2,tesseract-3.02.02-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tesseract-langpack-3.02-2,tesseract-3.02.02-1.fc19

Comment 5 Fedora Update System 2013-04-28 18:08:27 UTC
Package tesseract-3.02.02-1.fc19, tesseract-langpack-3.02-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tesseract-3.02.02-1.fc19 tesseract-langpack-3.02-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6867/tesseract-langpack-3.02-2.fc19,tesseract-3.02.02-1.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-07-24 03:27:29 UTC
Package tesseract-3.02.02-1.fc19, tesseract-langpack-3.02-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tesseract-3.02.02-1.fc19 tesseract-langpack-3.02-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6867/tesseract-langpack-3.02-6.fc19,tesseract-3.02.02-1.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-09-14 02:32:57 UTC
tesseract-3.02.02-1.fc19, tesseract-langpack-3.02-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.